> For the complete documentation index, see [llms.txt](/llms.txt).

# Get user latest application

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/customers/{customer_id}/applications/latest/`

Returns user's latest application information

## Path parameters
- `customer_id` (string, required) — The unique customer_id used to represent a customer.

## Responses
### 200
```json
{
  "data": {
    "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c",
    "decline_reasons": [
      {
        "reason": "Approval requirement decline",
        "reason_detail": "complete_personal_credit_check"
      }
    ],
    "is_closed": true,
    "last_12_months_turnover": {
      "amount": 500000,
      "valid_from": "2019-08-24T14:15:22Z"
    },
    "requests": [
      {
        "amount": 55000,
        "detailed_purpose": "string",
        "duration": {
          "amount": 365,
          "unit": "days"
        },
        "is_topup": false,
        "purpose": "stock_purchase",
        "suggested_product": {
          "amount": 50000,
          "duration": {
            "amount": 365,
            "unit": "days"
          }
        },
        "urgency": "asap"
      }
    ],
    "status": "declined"
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/customers/<customer_id>/applications/latest/' \
  --header 'Authorization: Bearer <api-key>'
```